Package com.omnisci.thrift.server

## Class OmniSci.deallocate_df_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.deallocate_df_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.deallocate_df_args>`, `org.apache.thrift.TBase<OmniSci.deallocate_df_args,​OmniSci.deallocate_df_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.deallocate_df_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.deallocate_df_args,​OmniSci.deallocate_df_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.deallocate_df_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.deallocate_df_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `device_id`
`TDeviceType` `device_type`
`TDataFrame` `df`
`static Map<OmniSci.deallocate_df_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `session`

### Constructor Summary

Constructors
`deallocate_df_args()`
`deallocate_df_args​(OmniSci.deallocate_df_args other)` Performs a deep copy on other.
`deallocate_df_args​(String session, TDataFrame df, TDeviceType device_type, int device_id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(OmniSci.deallocate_df_args other)`
`OmniSci.deallocate_df_args` `deepCopy()`
`boolean` `equals​(OmniSci.deallocate_df_args that)`
`boolean` `equals​(Object that)`
`OmniSci.deallocate_df_args._Fields` `fieldForId​(int fieldId)`
`int` `getDevice_id()`
`TDeviceType` `getDevice_type()`
`TDataFrame` `getDf()`
`Object` `getFieldValue​(OmniSci.deallocate_df_args._Fields field)`
`String` `getSession()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.deallocate_df_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDevice_id()` Returns true if field device_id is set (has been assigned a value) and false otherwise
`boolean` `isSetDevice_type()` Returns true if field device_type is set (has been assigned a value) and false otherwise
`boolean` `isSetDf()` Returns true if field df is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`OmniSci.deallocate_df_args` `setDevice_id​(int device_id)`
`void` `setDevice_idIsSet​(boolean value)`
`OmniSci.deallocate_df_args` `setDevice_type​(TDeviceType device_type)`
`void` `setDevice_typeIsSet​(boolean value)`
`OmniSci.deallocate_df_args` `setDf​(TDataFrame df)`
`void` `setDfIsSet​(boolean value)`
`void` `setFieldValue​(OmniSci.deallocate_df_args._Fields field, Object value)`
`OmniSci.deallocate_df_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDevice_id()`
`void` `unsetDevice_type()`
`void` `unsetDf()`
`void` `unsetSession()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### df

    public TDataFrame df

#### device_type

    public TDeviceType device_type

See Also:
  `TDeviceType`

#### device_id

    public int device_id

#### metaDataMap

    public static final Map<OmniSci.deallocate_df_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### deallocate_df_args

    public deallocate_df_args()

#### deallocate_df_args

    public deallocate_df_args​(String session,
                              TDataFrame df,
                              TDeviceType device_type,
                              int device_id)

#### deallocate_df_args

    public deallocate_df_args​(OmniSci.deallocate_df_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.deallocate_df_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.deallocate_df_args,​OmniSci.deallocate_df_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.deallocate_df_args,​OmniSci.deallocate_df_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public OmniSci.deallocate_df_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getDf

    public TDataFrame getDf()

#### setDf

    public OmniSci.deallocate_df_args setDf​(TDataFrame df)

#### unsetDf

    public void unsetDf()

#### isSetDf

    public boolean isSetDf()

Returns true if field df is set (has been assigned a value) and false otherwise

#### setDfIsSet

    public void setDfIsSet​(boolean value)

#### getDevice_type

    public TDeviceType getDevice_type()

See Also:
  `TDeviceType`

#### setDevice_type

    public OmniSci.deallocate_df_args setDevice_type​(TDeviceType device_type)

See Also:
  `TDeviceType`

#### unsetDevice_type

    public void unsetDevice_type()

#### isSetDevice_type

    public boolean isSetDevice_type()

Returns true if field device_type is set (has been assigned a value) and false otherwise

#### setDevice_typeIsSet

    public void setDevice_typeIsSet​(boolean value)

#### getDevice_id

    public int getDevice_id()

#### setDevice_id

    public OmniSci.deallocate_df_args setDevice_id​(int device_id)

#### unsetDevice_id

    public void unsetDevice_id()

#### isSetDevice_id

    public boolean isSetDevice_id()

Returns true if field device_id is set (has been assigned a value) and false otherwise

#### setDevice_idIsSet

    public void setDevice_idIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.deallocate_df_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.deallocate_df_args,​OmniSci.deallocate_df_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.deallocate_df_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.deallocate_df_args,​OmniSci.deallocate_df_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.deallocate_df_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.deallocate_df_args,​OmniSci.deallocate_df_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.deallocate_df_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.deallocate_df_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.deallocate_df_args>`

#### fieldForId

    public OmniSci.deallocate_df_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.deallocate_df_args,​OmniSci.deallocate_df_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`